summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEtan Cohen <etancohen@google.com>2015-05-20 21:37:39 +0000
committerAndroid (Google) Code Review <android-gerrit@google.com>2015-05-20 21:38:07 +0000
commitd93008163a8a2a4a877506eacdc4c4b1b2ad840e (patch)
tree3d77440298236220c60d0599ae3c7b8d55c63997
parent2d745a84f01381ac24d703f992cfb66f65093d0e (diff)
parentbdeea8a03680da2754df018b6a76e0e7fb99af84 (diff)
downloadpackages_providers_ContactsProvider-d93008163a8a2a4a877506eacdc4c4b1b2ad840e.zip
packages_providers_ContactsProvider-d93008163a8a2a4a877506eacdc4c4b1b2ad840e.tar.gz
packages_providers_ContactsProvider-d93008163a8a2a4a877506eacdc4c4b1b2ad840e.tar.bz2
Merge "Implement Data.CARRIER_PRESENCE" into mnc-dev
-rw-r--r--src/com/android/providers/contacts/ContactsDatabaseHelper.java14
-rwxr-xr-xtools/contacts-db-schema.sh31
2 files changed, 43 insertions, 2 deletions
diff --git a/src/com/android/providers/contacts/ContactsDatabaseHelper.java b/src/com/android/providers/contacts/ContactsDatabaseHelper.java
index 2e37e13..bbde779 100644
--- a/src/com/android/providers/contacts/ContactsDatabaseHelper.java
+++ b/src/com/android/providers/contacts/ContactsDatabaseHelper.java
@@ -122,7 +122,7 @@ public class ContactsDatabaseHelper extends SQLiteOpenHelper {
* 1000-1099 M
* </pre>
*/
- static final int DATABASE_VERSION = 1008;
+ static final int DATABASE_VERSION = 1009;
public interface Tables {
public static final String CONTACTS = "contacts";
@@ -1361,7 +1361,8 @@ public class ContactsDatabaseHelper extends SQLiteOpenHelper {
Data.SYNC1 + " TEXT, " +
Data.SYNC2 + " TEXT, " +
Data.SYNC3 + " TEXT, " +
- Data.SYNC4 + " TEXT " +
+ Data.SYNC4 + " TEXT, " +
+ Data.CARRIER_PRESENCE + " INTEGER NOT NULL DEFAULT 0 " +
");");
db.execSQL("CREATE INDEX data_raw_contact_id ON " + Tables.DATA + " (" +
@@ -2931,6 +2932,11 @@ public class ContactsDatabaseHelper extends SQLiteOpenHelper {
oldVersion = 1008;
}
+ if (oldVersion < 1009) {
+ upgradeToVersion1009(db);
+ oldVersion = 1009;
+ }
+
if (upgradeViewsAndTriggers) {
createContactsViews(db);
createGroupsView(db);
@@ -4473,6 +4479,10 @@ public class ContactsDatabaseHelper extends SQLiteOpenHelper {
"raw_contact_backup_id, account_id);");
}
+ public void upgradeToVersion1009(SQLiteDatabase db) {
+ db.execSQL("ALTER TABLE data ADD carrier_presence INTEGER NOT NULL DEFAULT 0");
+ }
+
public String extractHandleFromEmailAddress(String email) {
Rfc822Token[] tokens = Rfc822Tokenizer.tokenize(email);
if (tokens.length == 0) {
diff --git a/tools/contacts-db-schema.sh b/tools/contacts-db-schema.sh
new file mode 100755
index 0000000..3aa164b
--- /dev/null
+++ b/tools/contacts-db-schema.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Copyright (C) 2015 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+db=/data/data/com.android.providers.contacts/databases/contacts2.db
+
+# Use ls to make sure the file already exists.
+# Otherwise sqlite3 would create an empty file owned by root.
+
+# Sed inserts a newline after each ( and ,
+adb shell "(ls $db >/dev/null)&& sqlite3 $db \"select name, sql from sqlite_master where type in('table','index') order by name\"" |
+ sed -e 's/\([(,]\)/\1\n /g'
+echo "> sqlite_stat1"
+adb shell "(ls $db >/dev/null)&& sqlite3 $db \"select * from sqlite_stat1 order by tbl, idx, stat\""
+
+